TextWritingDirection (Freeplane API 1.11.8)
Description: declaration: package: org.freeplane.api, enum: TextWritingDirection

Package org.freeplane.api

# Enum Class TextWritingDirection

java.lang.Object
java.lang.Enum<TextWritingDirection>
org.freeplane.api.TextWritingDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<TextWritingDirection>`, `Constable`

public enum TextWritingDirection extends Enum<TextWritingDirection>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT_TO_RIGHT`
  `RIGHT_TO_LEFT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ComponentOrientation`
  `componentOrientation`
  `static final TextWritingDirection`
  `DEFAULT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextWritingDirection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextWritingDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT_TO_RIGHT

    public static final TextWritingDirection LEFT_TO_RIGHT

  - ### RIGHT_TO_LEFT

    public static final TextWritingDirection RIGHT_TO_LEFT

- ## Field Details

  - ### componentOrientation

    public final ComponentOrientation componentOrientation

  - ### DEFAULT

    public static final TextWritingDirection DEFAULT

- ## Method Details

  - ### values

    public static TextWritingDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextWritingDirection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null